package com.fq.channel.sdk.base.constants;

/**
 * @Description: 对外公共常量
 * @Author: FLuty
 * @CreateDate: 2020/4/3 14:44
 */
public class ConstSet {

    /*支付常量集合*/
    /**
     * CP 订单号
     */
    public static final String PAY_ORDER_CP = "cpOrderId" ;
    /**
     * 订单号
     */
    public static final String PAY_ORDER_ID = "orderId" ;
    /**
     * 商品价格。
     */
    public static final String PAY_PRICE = "price" ;
    /**
     * 回调地址
     */
    public static final String PAY_NOTIFY_URl = "notifyUrl" ;
    /**
     * 商品ID.
     */
    public static final String PAY_PRODUCT_ID = "productId" ;
    /**
     * 商品名称
     */
    public static final String PAY_PRODUCT_NAME = "productName" ;
    /**
     * 商品描述
     */
    public static final String PAY_PRODUCT_DES = "productDes" ;
    /**
     * 商品单位，例如金币，钻石。
     */
    public static final String PAY_PRODUCT_UNIT = "productUnit" ;
    /**
     * 服务器Id
     */
    public static final String PAY_SERVER_ID = "serverId" ;
    /**
     * 拓展字段
     */
    public static final String PAY_EXTRAL_INFO = "extralInfo" ;
    /**
     * 商品量词，例：一张/一个
     */
    public static final String PAY_QUANTIFIER = "quantifier" ;
    /**
     * 兑换比例。
     */
    public static final String PAY_RATE = "rate" ;
    /**
     * 计费ID
     */
    public static final String PAY_CHARGE_ID = "chargeId" ;
    /**
     * 透传字段
     */
    public static final String PAY_REMARK = "remark" ;


    /*数据上报常量集合*/
    public static final String DATA_KEY_ROLE_NAME = "roleName" ;
    public static final String DATA_KEY_ROLE_LEVEL = "roleLevel" ;
    public static final String DATA_KEY_ROLE_ID = "roleId" ;
    public static final String DATA_KEY_ROLE_TYPE = "roleType" ;
    public static final String DATA_KEY_SERVER_ID = "serverId" ;
    public static final String DATA_KEY_SERVER_NAME = "serverName" ;
    public static final String DATA_KEY_BALANCE = "balance" ;
    public static final String DATA_KEY_VIP_LEVEL = "vipLevel" ;
    public static final String DATA_KEY_PARTY_NAME = "partyName" ;
    public static final String DATA_KEY_ROLE_CREATE_TIME = "roleCTime" ;
    public static final String DATA_KEY_ROLE_LEVEL_TIME = "roleLevelMTime" ;
    public static final String DATA_KEY_ZONE_ID = "zoneId" ;
    public static final String DATA_KEY_ZONE_NAME = "zoneName" ;
    public static final String DATA_KEY_DATA_TYPE = "dataType" ;
    public static final String DATA_KEY_DATA_MONEY = "money" ;
    public static final String DATA_KEY_DATA_PARTY_NAME = "partyName" ;

}
